Page MenuHomePhabricator

[ADT] Move FixedPoint.h from Clang to LLVM.
ClosedPublic

Authored by ebevhan on Aug 5 2020, 7:43 AM.

Details

Summary

This patch moves FixedPointSemantics and APFixedPoint
from Clang to LLVM ADT.

This will make it easier to use the fixed-point
classes in LLVM for constructing an IR builder for
fixed-point and for reusing the APFixedPoint class
for constant evaluation purposes.

RFC: http://lists.llvm.org/pipermail/llvm-dev/2020-August/144025.html

Diff Detail

Event Timeline

ebevhan created this revision.Aug 5 2020, 7:43 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptAug 5 2020, 7:43 AM
ebevhan requested review of this revision.Aug 5 2020, 7:43 AM
ebevhan edited the summary of this revision. (Show Details)Aug 7 2020, 4:48 AM
ebevhan updated this revision to Diff 283873.Aug 7 2020, 5:09 AM

Fix some formatting.

leonardchan accepted this revision.Aug 10 2020, 11:23 AM

The patch seems straightforward. Other than moving code and trimming llvm:: from types, not sure if there's anything else I should expect. LGTM.

This revision is now accepted and ready to land.Aug 10 2020, 11:23 AM

Thanks for reviewing! I'm not really sure who to add as reviewers for D85314, though, and no one has replied to the RFC on the mailing list yet.

This revision was landed with ongoing or failed builds.Aug 20 2020, 1:31 AM
This revision was automatically updated to reflect the committed changes.